rte_fib_conf(3)

NAME
rte_fib_conf

SYNOPSIS

#include <rte_fib.h>

  Data Fields

enum rte_fib_type type
uint64_t default_nh
unsigned int rib_ext_sz
unsigned int flags

Detailed Description

FIB configuration structure

Definition at line 99 of file rte_fib.h.

Field Documentation

  enum rte_fib_type type
Type of FIB struct

Definition at line 100 of file rte_fib.h.

  uint64_t default_nh
Default value returned on lookup if there is no route

Definition at line 102 of file rte_fib.h.

  unsigned int rib_ext_sz
Size of the node extension in the internal RIB struct

Definition at line 105 of file rte_fib.h.

  unsigned int flags
Optional feature flags from RTE_FIB_F_*

Definition at line 112 of file rte_fib.h.

Author

Generated automatically by Doxygen for DPDK from the source code.